View Issue Details

IDProjectCategoryView StatusLast Update
0002447unrealircdpublic2006-01-19 16:52
ReporterRon2KAssigned Tosyzop 
PrioritynormalSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSWindows XP ProOS VersionSP2
Product Version3.2.3 
Target VersionFixed in Version3.2.4 
Summary0002447: [win32 + curl] Support for FTPS/HTTPS
DescriptionWhile trying to use remote includes with FTPS on the official Win32 build of 3.2.3, I received this error:

 *** Notice -- error: unrealircd.conf:208: include: error downloading 'ftps://irc-ron2k:****@localhost/LANGamesNET.network': libcurl was built with SSL disabled, ftps: not supported!

That pretty much says it all.

Is there any chance that support for FTPS/HTTPS on Win32 be included in the next version? (Unfortunately, I can't compile curl+ares myself.)
TagsNo tags attached.
3rd party modules

Activities

codemastr

2005-03-27 11:42

reporter   ~0009670

For the SSL version of Unreal, sure. For the non-SSL version, no. We'd run into the same legal issues we currently have.

Ron2K

2005-03-28 14:17

reporter   ~0009674

Last edited: 2005-03-28 14:18

OK, that makes sense.

EDIT: I am using the SSL version by the way :)

syzop

2006-01-19 16:52

administrator   ~0010981

will be so in 3.2.4 (got both compiled on my system now).

Issue History

Date Modified Username Field Change
2005-03-27 03:28 Ron2K New Issue
2005-03-27 11:42 codemastr Note Added: 0009670
2005-03-28 14:17 Ron2K Note Added: 0009674
2005-03-28 14:18 Ron2K Note Edited: 0009674
2006-01-19 16:52 syzop Status new => resolved
2006-01-19 16:52 syzop Fixed in Version => 3.2.4
2006-01-19 16:52 syzop Resolution open => fixed
2006-01-19 16:52 syzop Assigned To => syzop
2006-01-19 16:52 syzop Note Added: 0010981